\name{mxCell}
\docType{class}
\alias{mxCellArray-class}
\title{Matlab Cell Array Class}
\description{The class \code{"mxCellArray"} represents matlab cell arrays.
Cell arrays can contain any other mxArray type.
}
\section{Objects from the Class}{
An empty cell array can be created by \code{new("mxCellArray", dim=dim)}.
}
\section{Extends}{
Class \code{"\linkS4class{mxDataArray}"}, directly.
Class \code{"\linkS4class{mxArray}"}, by class "mxDataArray", distance 2.
}
\details{
Cell arrays can contain only NULL and \code{"mxArray"} values.
In \R, they are represented as list arrays of these values, and are convertible to/from lists using \code{\link{as.R.matlab}} and \code{\link{as.matlab}}.

Assigning an element will explicitly destroy the previous contents, invalidating any existing references to it.  Likewise, when an mxCellArray is no longer referenced, all its contained mxArrays are freed along with it.  If this presents a problem, see \code{\link{mxCopy}}.
}
\note{
\code{[[} And \code{[[<-} use \command{mxGetCell} and \command{mxSetCell} respectively.
}
\examples{
mx <- new("mxCellArray", dim=c(3,2))
mx[[1,1]] <- as.matlab(3.14)
mx[[2]] <- as.matlab('abc')
# no-op: already NULL
mx[[3,1]] <- as.matlab(NULL)
mx[[4]] <- as.matlab(c(1,2))
mx[[2,2]] <- as.matlab(list(3.14, 'abc'))
as.R.matlab(mx, recursive=FALSE)
}
\keyword{interface}
\keyword{data}
