\name{mxData}
\alias{mxDataArray-class}
\alias{[[,mxDataArray-method}
\alias{[[<-,mxDataArray-method}
\alias{[[,mxCellArray-method}
\alias{[[<-,mxCellArray-method}
\title{Matlab Generic Array Class}
\description{The class \code{"mxDataArray"} represents most matlab arrays of scalars.
This class is abstract, and no objects should inherit directly from it, although it provides most of the common useful methods.
}
\section{Objects from the Class}{
Objects should not be created directly, but rather though constructors and conversion on subclasses.
}
\usage{
\S4method{[[}{mxDataArray}(x, i, j, \dots)
\S4method{[[}{mxDataArray}(x, i, j, \dots) <- value
}
\arguments{
\item{x}{mxDataArray object to be manipulated.}
\item{i,j,\dots}{indices of element to extract or replace.  These follow matlab semantics with 1-based indices, each representing an offset scaled by the product of the lower dimensions.}
\item{value}{the replacement element, which must be coercible to the correct type.}
}
\details{
Single array elements can be accessed and updated just as in matlab.
Since arrays are references, updating an element modifies the underlying array, and so other references to the same array will reflect this as well.
The treatment of elements themselves depend on the particular subclass.

mxDataArray values are also coercible to (and, depending on the type, from) \code{"vector"} or \code{"array"} using \code{as}.
However, use of the more general \code{[} or \code{\link{as.R.matlab}} (and \code{\link{as.matlab}}) is preferred.
}
\note{
\code{[[} And \code{[[<-} use \command{mxCalcSingleSubscript}.
}
\keyword{interface}
\keyword{data}
