\name{mxLogical}
\docType{class}
\alias{mxLogicalArray-class}
\title{Matlab Logical Array Class}
\description{The class \code{"mxLogicalArray"} represents matlab logical arrays.
Character arrays are arrays of logicals.
}
\section{Objects from the Class}{
An empty (all \code{FALSE}) array can be created by \code{new("mxLogicalArray", dim=dim)}.
}
\section{Slots}{
\describe{
	\item{\code{sparse}:}{logical representing whether this array is stored sparsely.  Sparse arrays are not yet supported by this package.}
}}
\section{Extends}{
Class \code{"\linkS4class{mxDataArray}"}, directly.
Class \code{"\linkS4class{mxArray}"}, by class "mxDataArray", distance 2.
}
\details{
Logical conversion between matlab and \R is trivial, with \code{"mxLogicalArray"} values convertable to \code{"logical"} values.
The only exception is that \code{NA} is not representable in matlab, so its use is undefined.

Sparse logical arrays are not yet supported.
Only mxArray operations will succeed.
}
\examples{
as.R.matlab(as.matlab(array(c(1:18) \%\% 2 == 0, dim=c(3,3,2))))

}
\keyword{interface}
\keyword{data}
